/*
   Run this program at the command prompt.
   > java  TestPrint_5a
   How do you explain the result?
*/
public class TestPrint_5a
{
   public static void main(String[] args)
   {
      final long startTime = System.currentTimeMillis();
      for (int i = 1; i <= 300_000; ++i)
      {
         System.out.write('a');
      }
      final long stopTime = System.currentTimeMillis();
      System.out.println("\nWall-clock time: " + (stopTime - startTime));
   }
}

/*
System.out.write() does not automatically flush its buffer,
so it is faster than System.out.print() (about 10 times faster).

https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/PrintStream.html#write(int)
https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/io/PrintStream.html#print(int)
*/
